/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.apilib.vorgang;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.NullAndEmptySource;
import org.junit.jupiter.params.provider.ValueSource;
import org.mapstruct.factory.Mappers;

class OzgCloudUserIdMapperTest {

	private OzgCloudUserIdMapper mapper = Mappers.getMapper(OzgCloudUserIdMapper.class);

	@DisplayName("should map to null")
	@ParameterizedTest(name = "when value is \"{0}\"")
	@NullAndEmptySource
	@ValueSource(strings = { " " })
	void shouldMapToNull(String value) {
		var result = mapper.toUserId(value);

		assertThat(result).isNull();
	}

	@DisplayName("should map to userId")
	@Test
	void shouldMapUserId() {
		var result = mapper.toUserId(OzgCloudVorgangHeaderTestFactory.USER_ID_STR);

		assertThat(result).isEqualTo(OzgCloudVorgangHeaderTestFactory.USER_ID);
	}

}