/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.apilib.vorgang;

import java.time.ZonedDateTime;
import java.util.UUID;

import de.ozgcloud.apilib.user.OzgCloudUserId;

public class OzgCloudVorgangHeaderTestFactory {

	public static final String STATUS_STR = "WORKING";
	public static final OzgCloudVorgangStatus STATUS = OzgCloudVorgangStatus.from(STATUS_STR);
	public static final String CREATED_AT_STR = "2023-04-01T10:00:15Z";
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);
	public static final String USER_ID_STR = UUID.randomUUID().toString();
	public static final OzgCloudUserId USER_ID = OzgCloudUserId.from(USER_ID_STR);
	public static final String AKTENZEICHEN = "DE_12345_XY";

	public static OzgCloudVorgangHeader create() {
		return createBuilder().build();
	}

	public static OzgCloudVorgangHeader.OzgCloudVorgangHeaderBuilder createBuilder() {
		return OzgCloudVorgangHeader.builder()
				.status(STATUS)
				.createdAt(CREATED_AT)
				.assignedTo(USER_ID)
				.aktenzeichen(AKTENZEICHEN)
				.serviceKonto(OzgCloudServiceKontoTestFactory.create());
	}
}
