/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.apilib.vorgang.grpc;

import de.ozgcloud.apilib.vorgang.OzgCloudPostfachAddressIdentifierTestFactory;
import de.ozgcloud.apilib.vorgang.OzgCloudPostfachAddressTestFactory;
import de.ozgcloud.apilib.vorgang.OzgCloudServiceKontoTestFactory;
import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.vorgang.GrpcPostfachAddress;
import de.ozgcloud.vorgang.vorgang.GrpcServiceKonto;

public class GrpcServiceKontoTestFactory {

	public static GrpcServiceKonto create() {
		return createBuilder().build();
	}

	public static GrpcServiceKonto.Builder createBuilder() {
		return GrpcServiceKonto.newBuilder()
				.setType(OzgCloudServiceKontoTestFactory.TYPE_STR)
				.setTrustLevel(OzgCloudServiceKontoTestFactory.TRUST_LEVEL_STR)
				.addPostfachAddresses(GrpcPostfachAddress.newBuilder()
						.setVersion(OzgCloudPostfachAddressTestFactory.VERSION)
						.setType(OzgCloudPostfachAddressTestFactory.TYPE)
						.setIdentifier(GrpcObject.newBuilder().addProperty(GrpcProperty.newBuilder()
								.setName(OzgCloudPostfachAddressIdentifierTestFactory.NAME)
								.addValue(OzgCloudPostfachAddressIdentifierTestFactory.VALUE).build())));
	}

}
